import 'dart:convert';
import 'dart:io';

import 'package:http/http.dart' as http;

class MicrosoftTranslate {
  Future<String> translate(String secretKey, String text, String to) async {
    final String data = jsonEncode([
      {'Text': text}
    ]);
    final String params = '&to=$to';

    final response = await http.post(
        'https://api.cognitive.microsofttranslator.com/translate?api-version=3.0$params',
        headers: {
          'Ocp-Apim-Subscription-Key': secretKey,
          HttpHeaders.contentTypeHeader: 'application/json;charset=UTF-8'
        },
        body: data);

    var translation = json.decode(response.body);
    return translation[0]['translations'][0]['text'];
  }
}
